org.apache.flume.node

## Class PollingPropertiesFileConfigurationProvider

- java.lang.Object
- - org.apache.flume.node.AbstractConfigurationProvider
  - - org.apache.flume.node.PropertiesFileConfigurationProvider
    - - org.apache.flume.node.PollingPropertiesFileConfigurationProvider

- All Implemented Interfaces:
    LifecycleAware, ConfigurationProvider

      public class PollingPropertiesFileConfigurationProvider
      extends PropertiesFileConfigurationProvider
      implements LifecycleAware

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `PollingPropertiesFileConfigurationProvider.FileWatcherRunnable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PollingPropertiesFileConfigurationProvider(String agentName, File file, com.google.common.eventbus.EventBus eventBus, int interval)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LifecycleState` | `getLifecycleState()` Return the current state of the service or component.
    `void` | `start()` Starts a service or component.
    `void` | `stop()` Stops a service or component.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.flume.node.PropertiesFileConfigurationProvider

      `getFlumeConfiguration`

    - ### Methods inherited from class org.apache.flume.node.AbstractConfigurationProvider

      `getAgentName, getConfiguration, toMap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PollingPropertiesFileConfigurationProvider

          public PollingPropertiesFileConfigurationProvider(String agentName,
                                                    File file,
                                                    com.google.common.eventbus.EventBus eventBus,
                                                    int interval)

  - ### Method Detail

    - #### start

          public void start()

      Description copied from interface: `LifecycleAware`

      Starts a service or component.

      Implementations should determine the result of any start logic and effect the return value of `LifecycleAware.getLifecycleState()` accordingly.

      Specified by:
        `start` in interface `LifecycleAware`

    - #### stop

          public void stop()

      Description copied from interface: `LifecycleAware`

      Stops a service or component.

      Implementations should determine the result of any stop logic and effect the return value of `LifecycleAware.getLifecycleState()` accordingly.

      Specified by:
        `stop` in interface `LifecycleAware`

    - #### getLifecycleState

          public LifecycleState getLifecycleState()

      Description copied from interface: `LifecycleAware`

      Return the current state of the service or component.

      Specified by:
        `getLifecycleState` in interface `LifecycleAware`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.